%global pyname cpuset
%define name python3-%{pyname}
%define version 1.0.2
%define unmangled_version 1.0.2
%define unmangled_version 1.0.2
%define release 1

Summary: Fork of cpuset (https://github.com/lpechacek/cpuset) by Alex Tsariounov that works with python3
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{unmangled_version}.tar.gz
License: GPLv2
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Johannes Bechberger <UNKNOWN>
Url: https://github.com/parttimenerd/cpuset

%description
Port of the cpuset utility (https://github.com/lpechacek/cpuset) to python3.


Cpuset is a Python application that forms a wrapper around the
standard Linux filesystem calls to make using the cpusets facilities
in the Linux kernel easier.

For the latest version see:
   https://github.com/parttimenerd/cpuset

%prep
%setup -n %{name}-%{unmangled_version} -n %{name}-%{unmangled_version}

%build
python3 setup.py build

%install
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
